import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.stage.Stage;

public class HalloJavaFX_v3 extends Application {
  // Main-Methode, von Java aufgerufen
  public static void main(String[] args) {
    launch(args);
  }

  // Der eigentliche Start der Anwendung
  public void start(Stage primaryStage) throws Exception {
    // Layout zusammenbauen
    Parent layout = FXMLLoader.load(getClass()
            .getResource("layout.fxml"));

    // Auf den Schirm!
    Scene scene = new Scene(layout, 400, 150);

    scene.getStylesheets().add(HalloJavaFX_v2.class
            .getResource("style.css").toExternalForm());

    primaryStage.setScene(scene);
    primaryStage.setTitle("Hallo, JavaFX!");
    primaryStage.show();
  }
}
